{% extends 'base_front.html.twig' %}

{% block section %}
    
    {% include 'sponsoring/modalSponsoring.html.twig' %}
    {% include 'sponsoring/modalConfirmPaymentSponso.html.twig' %}

    <title>Paris Premium</title>

    <div class="container-create-sponsored-bet">

        <h1 class="sponsored-bet-title">Créer un pari premium</h1>
        <div class="container-form-sponsoring">
            <button onclick="displayCreateEvent();" id="btnDisplayCreateEvent">> Créer un événement</button>
            <button onclick="displaySelectEvent();" style="display: none;" id="btnReturnCreateEvent">Retour</button>

            {{ form_start(form, {'attr': {'id': 'form_sponsoring'}}) }}
                {{ include('sponsoring/_form.html.twig') }}
                <button type="submit" class="btn btn-primary" id="btnValidateCreateSponsoredBet">Valider</button>
            {{ form_end(form, {render_rest:false}) }}

        </div>

        <p id="openModalInviteUser"><i class="fa fa-user-plus" style="color:white" aria-hidden="true"></i></p>
        
    </div>

    {% block javascripts %}
        <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <script>
            var modalConfirmPaymentSponso = document.getElementById("confirmPaymentSponso");
            var spanConfirmSponso = document.getElementsByClassName("close")[3];

            if (modalConfirmPaymentSponso != null) {
                closeModal();
            }

            function closeModal() {
                $('#modalConfirmPaymentSponso').css('display', 'none');
            }    

            var is_modal_show = localStorage.getItem('alreadyShow');
            if(is_modal_show != 'alredy shown'){
                var modalSponso = document.getElementById('modalInviteUserPrivateBet');
                modalSponso.style.display = "block";
                localStorage.setItem('alreadyShow','alredy shown');
            }

            $("#form_sponsoring").on("submit", function(e){
                e.preventDefault();
                var modalConfirmPaymentSponso = document.getElementById("modalConfirmPaymentSponso");
                modalConfirmPaymentSponso.style.display = "block";
                $("#button-caisse-modal-sponso" ).click(function() {
                    document.forms["create_sponsored_bet"].submit();
                });
            });
            
        </script>
    {% endblock %}
   

{% endblock %}
